.TH COMPFACE 1 "25 January 1990"
.SH NAME
compface, uncompface \- compress and expand 48x48x1 face image files
.SH SYNOPSIS
.B compface
[
.I infile
[
.I outfile
]
] ...
.LP
.B uncompface
[
.I infile
[
.I outfile
]
] ...
.SH DESCRIPTION
.IX  compface  ""  "\fLcompface\fP \(em compress face image files"
.IX  uncompface  ""  "\fLuncompface\fP \(em uncompress face image files"
.I compface
is a filter for generating highly compressed representations of 48x48x1
face image files.
.I uncompface
is an inverse filter which performs an inverse transformation with no
loss of data.
The algorithm used is highly tuned for its purpose and achieves better
than a five to one compression ratio on average.
Arguments operate identically for both programmes.
The first argument, if present, causes input to be taken from the named
file instead of from standard input unless it is the string ``-''.
A second argument, if present, causes output to go to the named file
instead of to standard output unless it is the string ``-''.
Subsequent pairs of arguments may be used to specify further pairs
of input and output files.
.LP
The input format for
.I compface
(and the output format for
.IR uncompface )
is 48 lines each of 3 sixteen bit hexadecimal integers, comma terminated in C
initialiser style.
The output format of
.I compface
(and the input format for
.IR uncompface )
is some number of lines made up of a space followed by printable
characters (in the range ``!'' to ``~'' inclusive).
The first line contains 72 characters and following lines contain
79 characters except that the last line may be short.
.LP
The amount of compression obtained varies between face image files but
the output of
.I compface
averages less than 200 characters.
The average number of output lines is three.
.SH DIAGNOSTICS
Exit status is normally 0.
Possible errors include IO errors when opening, reading or writing
files, format errors in
.I compface
input files and invalid arguments.
Each results in an explanatory message on standard error and an exit status
of 1.
A warning will be produced if
.I compface
detects extra input data.
.SH BUGS
Nominating standard input as input more than once does not work.
.SH SEE ALSO
Compface(3)
