.TH COMPFACE 3 "25 January 1990"
.SH NAME
compface, uncompface \- compress and expand 48x48x1 face image files
.SH SYNOPSIS
.B compface (buf)
.LP
.B uncompface (buf)
.LP
.B char *buf
.SH DESCRIPTION
.IX  compface  ""  "\fLcompface\fP \(em compress face image files"
.IX  uncompface  ""  "\fLuncompface\fP \(em uncompress face image files"
.I compface
is a function for generating highly compressed representations of 48x48x1
face image files.
.I uncompface
is an inverse function which performs an inverse transformation with no
loss of data.
The algorithm used is highly tuned for its purpose and achieves better
than a five to one compression ratio on average.
In both functions, input is via a NULL terminated string and a NULL terminated
output string is written over the input string.
.I Buf
should therefore point to a block of 2K size or more to avoid buffer
overruns during output generation.
.LP
The input format for
.I compface
(and the output format for
.IR uncompface )
is 48 lines each of 3 sixteen bit hexadecimal integers, comma terminated in C
initialiser style.
The output format of
.I compface
(and the input format for
.IR uncompface )
is some number of lines made up of a space followed by printable
characters (in the range ``!'' to ``~'' inclusive).
The first line contains 72 characters and following lines contain
79 characters except that the last line may be short.
.LP
The amount of compression obtained varies between face image files but
the output of
.I compface
averages less than 200 characters.
The average number of output lines is three.
.SH DIAGNOSTICS
The return value is normally 0.
1 will be returned if extra input has been ignored during a compress operation.
-1 is returned in the case of an invalid input format.
-2 is returned if an internal buffer overrun occurs.
.SH SEE ALSO
Compface(1)
