/*
 * $Id: load_defaults.c,v 1.9 1995/05/27 17:03:31 kooper Exp $
 *
 * Copyright (C) 1995, Rob Kooper (kooper@cc.gatech.edu)
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#if SYSV
# include <string.h>
#else
# include <strings.h>
#endif
#include "facesP.h"

/*
 * Default icons.
 */
#include "unknown.xbm"

#if NeedFunctionPrototypes
void face_loadUnknown(Face **facePtr)
#else
void face_loadUnknown(facePtr)
  Face **facePtr;
#endif
{
  Face          *face;
  Pixmap         icon, image;

  face = *facePtr;
  
  icon = XCreateBitmapFromData(display, window, unknown_bits,
			       unknown_width, unknown_height);
  image = XCreatePixmap(display, window, unknown_width, unknown_height,
                        FacesPrivate.depth);
  XCopyPlane(display, icon, image, FacesPrivate.gc,
	     0, 0, unknown_width, unknown_height, 0, 0, 1);

  /*
   * If faceinfo is not NULL then we just want the icon.
   */
  if (face == NULL) {
    face            = XtNew(Face);
    *facePtr        = face;
    face->name      = XtNewString("unknown");
    face->width     = unknown_width;
    face->height    = unknown_height;
    face->image     = image;
    face->shape     = None;
    face->counter   = 1;
    face->unknown   = True;
    face->next      = NULL;
    face->prev      = NULL;
  }

  /*
   * And init the icon.
   */
  face->iconPtr     = NULL;
  face->icon_width  = unknown_width;
  face->icon_height = unknown_height;
  face->icon        = icon;
}
