/*
 * $Id: facesdb_res.h,v 1.4 1995/03/19 17:16:14 kooper Exp $
 *
 * Copyright (C) 1995, Rob Kooper (kooper@cc.gatech.edu)
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#define FuncNone    -1
#define FuncList     0
#define FuncAdd      1
#define FuncDelete   2
#define FuncExtract  3
#define FuncLink     4
#define FuncConvert  5
#define FuncVersion  99

typedef struct _resources {
  int         Function;
  String      Database;
  String      Address;
  String      Image;
  String      Major;
  String      Minor;
  String      Convert;
  String      LinkTo;
  Boolean     NoTxt;
} Resources;

#define xtoffset(res) XtOffset(Resources *, res)

static XtResource resources[] = {
  { "function", "Function", XtRInt, sizeof(int),
    xtoffset(Function), XtRImmediate, (XtPointer) FuncNone },
  { "database", "Database", XtRString, sizeof(String),
    xtoffset(Database), XtRImmediate, NULL },
  { "address", "Address", XtRString, sizeof(String),
    xtoffset(Address), XtRImmediate, NULL },
  { "image", "Image", XtRString, sizeof(String),
    xtoffset(Image), XtRImmediate, NULL },
  { "major", "Major", XtRString, sizeof(String),
    xtoffset(Major), XtRImmediate, NULL },
  { "minor", "Minor", XtRString, sizeof(String),
    xtoffset(Minor), XtRImmediate, NULL },
  { "convert", "Convert", XtRString, sizeof(String),
    xtoffset(Convert), XtRImmediate, NULL },
  { "linkTo", "LinkTo", XtRString, sizeof(String),
    xtoffset(LinkTo), XtRImmediate, NULL },
  { "noTxt", "NoTxt", XtRBoolean, sizeof(Boolean),
    xtoffset(NoTxt), XtRString, "False" },
};

/*
 * Command line options.
 */
static XrmOptionDescRec options[] = {
  { "-v",       "function", XrmoptionNoArg,  "99"              },
  { "-version", "function", XrmoptionNoArg,  "99"              },
  { "-list",    "function", XrmoptionNoArg,  "0"               },
  { "-add",     "function", XrmoptionNoArg,  "1"               },
  { "-delete",  "function", XrmoptionNoArg,  "2"               },
  { "-extract", "function", XrmoptionNoArg,  "3"               },
  { "-link",    "function", XrmoptionNoArg,  "4"               },
  { "-dbase",   "database", XrmoptionSepArg, "own.gdbm"        },
  { "-email",   "address",  XrmoptionSepArg, "unknown@nowhere" },
  { "-image",   "image",    XrmoptionSepArg, "face.xpm"        },
  { "-major",   "major",    XrmoptionSepArg, "image"           },
  { "-minor",   "minor",    XrmoptionSepArg, "xpm"             },
  { "-convert", "convert",  XrmoptionSepArg, "faces"           },
  { "-linkto",  "linkTo",   XrmoptionSepArg, "unknown@nowhere" },
  { "-notxt",   "noTxt",    XrmoptionNoArg,  "True"            },
};

#undef xtoffset
